Skip to content
Start here

List all targets

client.zeroTrust.access.infrastructure.targets.list(TargetListParams { account_id, created_after, created_before, 18 more } params, RequestOptionsoptions?): V4PagePaginationArray<TargetListResponse { id, created_at, hostname, 2 more } >
GET/accounts/{account_id}/infrastructure/targets

Lists and sorts an account’s targets. Filters are optional and are ANDed together.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: TargetListParams { account_id, created_after, created_before, 18 more }
account_id: string

Path param: Account identifier

maxLength32
created_after?: string | null

Query param: Date and time at which the target was created after (inclusive)

formatdate-time
created_before?: string | null

Query param: Date and time at which the target was created before (inclusive)

formatdate-time
direction?: "asc" | "desc"

Query param: The sorting direction.

One of the following:
"asc"
"desc"
hostname?: string | null

Query param: Hostname of a target

hostname_contains?: string | null

Query param: Partial match to the hostname of a target

ip_like?: string | null

Query param: Filters for targets whose IP addresses look like the specified string. Supports * as a wildcard character

ip_v4?: string | null

Query param: IPv4 address of the target

ip_v6?: string | null

Query param: IPv6 address of the target

ips?: Array<string>

Query param: Filters for targets that have any of the following IP addresses. Specify ips multiple times in query parameter to build list of candidates.

ipv4_end?: string | null

Query param: Defines an IPv4 filter range’s ending value (inclusive). Requires ipv4_start to be specified as well.

ipv4_start?: string | null

Query param: Defines an IPv4 filter range’s starting value (inclusive). Requires ipv4_end to be specified as well.

ipv6_end?: string | null

Query param: Defines an IPv6 filter range’s ending value (inclusive). Requires ipv6_start to be specified as well.

ipv6_start?: string | null

Query param: Defines an IPv6 filter range’s starting value (inclusive). Requires ipv6_end to be specified as well.

modified_after?: string | null

Query param: Date and time at which the target was modified after (inclusive)

formatdate-time
modified_before?: string | null

Query param: Date and time at which the target was modified before (inclusive)

formatdate-time
order?: "hostname" | "created_at"

Query param: The field to sort by.

One of the following:
"hostname"
"created_at"
page?: number

Query param: Current page in the response

formatint32
minimum1
per_page?: number

Query param: Max amount of entries returned per page

formatint32
maximum1000
minimum1
target_ids?: Array<string>

Query param: Filters for targets that have any of the following UUIDs. Specify target_ids multiple times in query parameter to build list of candidates.

virtual_network_id?: string | null

Query param: Private virtual network identifier of the target

formatuuid
ReturnsExpand Collapse
TargetListResponse { id, created_at, hostname, 2 more }
id: string

Target identifier

formatuuid
maxLength36
created_at: string

Date and time at which the target was created

formatdate-time
hostname: string

A non-unique field that refers to a target

ip: IP { ipv4, ipv6 }

The IPv4/IPv6 address that identifies where to reach a target

ipv4?: IPV4 { ip_addr, virtual_network_id }

The target’s IPv4 address

ip_addr?: string

IP address of the target

virtual_network_id?: string

(optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.

formatuuid
ipv6?: IPV6 { ip_addr, virtual_network_id }

The target’s IPv6 address

ip_addr?: string

IP address of the target

virtual_network_id?: string

(optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.

formatuuid
modified_at: string

Date and time at which the target was modified

formatdate-time

List all targets

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const targetListResponse of client.zeroTrust.access.infrastructure.targets.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(targetListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-08-24T14:15:22Z",
      "hostname": "infra-access-target",
      "ip": {
        "ipv4": {
          "ip_addr": "187.26.29.249",
          "virtual_network_id": "c77b744e-acc8-428f-9257-6878c046ed55"
        },
        "ipv6": {
          "ip_addr": "64c0:64e8:f0b4:8dbf:7104:72b0:ec8f:f5e0",
          "virtual_network_id": "c77b744e-acc8-428f-9257-6878c046ed55"
        }
      },
      "modified_at": "2019-08-24T14:15:22Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-08-24T14:15:22Z",
      "hostname": "infra-access-target",
      "ip": {
        "ipv4": {
          "ip_addr": "187.26.29.249",
          "virtual_network_id": "c77b744e-acc8-428f-9257-6878c046ed55"
        },
        "ipv6": {
          "ip_addr": "64c0:64e8:f0b4:8dbf:7104:72b0:ec8f:f5e0",
          "virtual_network_id": "c77b744e-acc8-428f-9257-6878c046ed55"
        }
      },
      "modified_at": "2019-08-24T14:15:22Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}